| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # DOMXPathExpression Class Reference The `DOMXPathExpression` interface represents a parsed and resolved XPath expression. More... List of all members.
## Public Member Functions
Destructor
virtual | ~DOMXPathExpression ()
| Destructor.
Functions introduced in DOM Level 3
virtual void * | evaluate (DOMNode *contextNode, unsigned short type, void *result) const =0
| Evaluates this XPath expression and returns a result.
## Protected Member Functions
Hidden constructors
| DOMXPathExpression ()
## Detailed Description The `DOMXPathExpression` interface represents a parsed and resolved XPath expression. Since: DOM Level 3 ## Constructor & Destructor Documentation
DOMXPathExpression::DOMXPathExpression | ( |  | ) | `[protected]`
virtual DOMXPathExpression::~DOMXPathExpression | ( |  | ) | `[virtual]`
Destructor. ## Member Function Documentation
virtual void* DOMXPathExpression::evaluate | ( | DOMNode * | contextNode,
|  | unsigned short | type,
|  | void * | result |
| ) |  |  | const`[pure virtual]`
  Evaluates this XPath expression and returns a result. Parameters:
  | contextNode | of type `DOMNode` The context is context node for the evaluation of this XPath expression. If the XPathEvaluator was obtained by casting the Document then this must be owned by the same document and must be a `DOMDocument`, `DOMElement`, `DOMAttribute`, `DOMText`, `DOMCDATASection`, `DOMComment`, `DOMProcessingInstruction`, or `XPathNamespace`. If the context node is a `DOMText` or a `DOMCDATASection`, then the context is interpreted as the whole logical text node as seen by XPath, unless the node is empty in which case it may not serve as the XPath context.
  | type | of type unsigned short If a specific type is specified, then the result will be coerced to return the specified type relying on XPath conversions and fail if the desired coercion is not possible. This must be one of the type codes of `XPathResult`.
  | result | of type void* The result specifies a specific result object which may be reused and returned by this method. If this is specified as nullor the implementation does not reuse the specified result, a new result object will be constructed and returned. For XPath 1.0 results, this object will be of type `XPathResult`.
  Returns: void* The result of the evaluation of the XPath expression. For XPath 1.0 results, this object will be of type `XPathResult`. Exceptions:
  | <code>XPathException</code> | TYPE_ERR: Raised if the result cannot be converted to return the specified type.
  | <code>DOMException</code> | WRONG_DOCUMENT_ERR: The `DOMNode` is from a document that is not supported by the `XPathEvaluator` that created this `DOMXPathExpression`. NOT_SUPPORTED_ERR: The Node is not a type permitted as an XPath context node or the request type is not permitted by this `DOMXPathExpression`.
The documentation for this class was generated from the following file: DOMXPathExpression.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.